#include "B4RDefines.h"

namespace B4R {
	void B4RRGBmatrixPanel::Initialize16(Byte A, Byte B, Byte C, Byte SCLK, Byte Latch, Byte OE, bool DBuf) {
		rgb = new (beRGBmatrixPanel) RGBmatrixPanel(A, B, C, SCLK, Latch, OE, DBuf);
		init();
	}
	void B4RRGBmatrixPanel::Initialize32(Byte A, Byte B, Byte C, Byte D, Byte SCLK, Byte Latch, Byte OE, bool DBuf, Byte Width) {
		rgb = new (beRGBmatrixPanel) RGBmatrixPanel(A, B, C, D, SCLK, Latch, OE, DBuf, Width);
		init();
	}
	void B4RRGBmatrixPanel::init() {
		rgb->begin();
		gfx.gfx = rgb;
		GFX = &gfx;
	}
	
	void B4RRGBmatrixPanel::UpdateDisplay() {
		rgb->updateDisplay();
	}
	void B4RRGBmatrixPanel::FillScreen(UInt Color) {
		rgb->fillScreen(Color);
	}
	UInt B4RRGBmatrixPanel::Color333(Byte R, Byte G, Byte B) {
		return rgb->Color333(R, G, B);
	}
	UInt B4RRGBmatrixPanel::Color444(Byte R, Byte G, Byte B) {
		return rgb->Color444(R, G, B);
	}
	UInt B4RRGBmatrixPanel::Color888(Byte R, Byte G, Byte B) {
		return rgb->Color888(R, G, B);
	}
}