#pragma once
#include "B4RDefines.h"
#include "RGBmatrixPanel.h"
#include "rAdafruitGFX.h"
//~version: 1.00
namespace B4R {
	//~shortname: RGBmatrixPanel
	class B4RRGBmatrixPanel {
		private:
			uint8_t beRGBmatrixPanel[sizeof(RGBmatrixPanel)];
			RGBmatrixPanel* rgb;
			B4RAdafruitGFX gfx;
			void init();
		public:
			//Gets the graphics object. 
			B4RAdafruitGFX* GFX;
			void Initialize16(Byte A, Byte B, Byte C, Byte SCLK, Byte Latch, Byte OE, bool DBuf);
			void Initialize32(Byte A, Byte B, Byte C, Byte D, Byte SCLK, Byte Latch, Byte OE, bool DBuf, Byte Width);
			//Draws the internal buffer to the screen.
			void UpdateDisplay();
			void FillScreen(UInt Color);
			UInt Color333(Byte R, Byte G, Byte B);
			UInt Color444(Byte R, Byte G, Byte B);
			UInt Color888(Byte R, Byte G, Byte B);
	};
}